## yui3 3.5.1

=== debian/changelog ===
yui3 (3.5.1-1ubuntu3) quantal; urgency=low

  * Downgrade the javascript-common recommendation to a suggestion for all
    binary packages.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 28 Sep 2012 13:36:31 +0200

yui3 (3.5.1-1ubuntu2) quantal; urgency=low

  * debian/control: Drop Recommends on javascript-common to Suggests
    as it is not in main.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Tue, 11 Sep 2012 15:00:22 -0400

yui3 (3.5.1-1ubuntu1) quantal; urgency=low

  * Do not build the *.swf files to not pull various dependencies that we
    do not want in main.
    - debian/control: Drop Build-Dep on swftools.
    - debian/rules: Do not build swf files.
  * debian/watch: Remove dfsg mangler option.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Tue, 03 Jul 2012 15:53:28 -0400

yui3 (3.5.1-1) unstable; urgency=low

  * Initial upload.  (Closes: #554431)

 -- Jaldhar H. Vyas <jaldhar@debian.org>  Thu, 28 Jun 2012 23:08:48 -0400
