=== debian/watch ===
version=3
http://yuilibrary.com/download/yui3/ \
	http://yui.zenfs.com/releases/yui3/yui_([\d\.]*).zip
